# -*- coding: utf-8 -*-
#
# Copyright (C) 2016-2017 by the Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
#
# Author: Aurelien Bompard <abompard@fedoraproject.org>

"""
Refresh the recent threads cache for each mailing list.
"""

from django_extensions.management.jobs import BaseJob
from hyperkitty.models import MailingList


class Job(BaseJob):
    help = "Refresh the recent threads cache"
    when = "daily"

    def execute(self):
        for mlist in MailingList.objects.all():
            for cached_value in mlist.recent_cached_values:
                cached_value.rebuild()
